// Created May 3, 2005 9:48:25 AM

/********************************************************************
 * Copyright © 2005 VHA. All rights reserved
 ********************************************************************/

package gov.va.med.esr.service.trigger;

import java.util.HashSet;
import java.util.Set;

import gov.va.med.fw.service.trigger.TriggerAware;
import gov.va.med.fw.service.trigger.TriggerEvent;

/**
 * Initial javadoc for class MockTriggerAware. 
 * @author DNS   BOHMEG
 */
public class MockTriggerAware implements TriggerAware {

	Set events = new HashSet();

	public Set getTriggerEvents() {
		return events;
	}

	public void addTriggerEvent(TriggerEvent triggerEvent) {
		events.add(triggerEvent);
	}

	/*
	 * (non-Javadoc)
	 * 
	 * @see gov.va.med.fw.service.trigger.TriggerAware#clearTriggerEvents()
	 */
	public void clearTriggerEvents() {
		events.clear();
	}
}
